# # setup.py
# from setuptools import setup, find_packages

# setup(
#     name='pratlib',
#     version='1.0.1',
#     author='Pratiush',
#     author_email='pratiushanand1@gmail.com',
#     description='A PySpark library for machine learning, similar to scikit-learn.',
#     long_description=open('README.md').read(),
#     long_description_content_type='text/markdown',
#     url='https://github.com/pratiush1234/pratlib',
#     packages=find_packages(),
#     classifiers=[
#         'Programming Language :: Python :: 3',
#         'License :: OSI Approved :: MIT License',
#         'Operating System :: OS Independent',
#     ],
#     python_requires='>=3.6',
#     install_requires=[
#         'pyspark>=3.0.0',
#     ],
# )
from setuptools import setup, find_packages
setup(
    name="pratlib",
    version="1.0.8",
    author="Pratiush",
    author_email="pratiushanand1@gmail.com",
    description="A PySpark library for machine learning, similar to scikit-learn.",
    long_description=open("README.md", "r", encoding="utf-8").read(),
    long_description_content_type="text/markdown",
    url="https://github.com/pratiush1234/pratlib",
    packages=find_packages(include=["pratlib", "pratlib.*"]),  # Enforce pratlib as root package
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.6",
    install_requires=[
        "pyspark>=3.0.0",
        "asttokens==3.0.0",
        "colorama==0.4.6",
        "comm==0.2.2",
        "debugpy==1.8.13",
        "decorator==5.2.1",
        "executing==2.2.0",
        "ipykernel==6.29.5",
        "ipython==9.0.2",
        "ipython_pygments_lexers==1.1.1",
        "jedi==0.19.2",
        "jupyter_client==8.6.3",
        "jupyter_core==5.7.2",
        "matplotlib-inline==0.1.7",
        "nest-asyncio==1.6.0",
        "numpy==2.2.4",
        "packaging==24.2",
        "parso==0.8.4",
        "platformdirs==4.3.7",
        "prompt_toolkit==3.0.50",
        "psutil==7.0.0",
        "pure_eval==0.2.3",
        "py4j==0.10.9.7",
        "Pygments==2.19.1",
        "pyspark==3.5.5",
        "python-dateutil==2.9.0.post0",
        "pywin32==310",
        "pyzmq==26.3.0",
        "six==1.17.0",
        "stack-data==0.6.3",
        "tornado==6.4.2",
        "traitlets==5.14.3",
        "wcwidth==0.2.13",

    ],
)
